debugfs_create_dir
Prev | debugfs interface | Next

## Name

debugfs_create_dir — create a directory in the debugfs filesystem

## Synopsis

`struct dentry * debugfs_create_dir (` | const char * | name,
| struct dentry * | parent`)`;

## Arguments

`name`

  a pointer to a string containing the name of the directory to create.

`parent`

  a pointer to the parent dentry for this file. This should be a directory dentry if set. If this paramater is NULL, then the directory will be created in the root of the debugfs filesystem.

## Description

This function creates a directory in debugfs with the given name.

This function will return a pointer to a dentry if it succeeds. This pointer must be passed to the `debugfs_remove` function when the file is to be removed (no automatic cleanup happens if your module is unloaded, you are responsible here.) If an error occurs, `NULL` will be returned.

If debugfs is not enabled in the kernel, the value -`ENODEV` will be returned.

Prev | Up | Next
debugfs_create_file | Home | debugfs_create_symlink